Reopen Wikinews Dutch
Closed, ResolvedPublic

Description

The language committee has approved the reopening of nl.wikinews.org.

Annoyingly, the content of that domain was imported to Incubator some years ago, developed there (including many page deletions and renamings), and should now be imported again in the opposite direction. Should I delete the existing old nl.wn.org pages before the reopening (easily doable by a bot), or would you, developers, prefer to simply delete and recreate the wiki?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2017, 1:44 AM
Seba98 added a subscriber: Seba98.Jun 24 2017, 2:02 PM
Seba98 removed a subscriber: Seba98.
Seba98 added a subscriber: Seba98.

@MF-Warburg: Please do not set the tag Shell. Thanks!

Ok. Please answer my question in return.

MF-Warburg: Errm, I cannot answer questions on topics that I have no knowledge of.

ArielGlenn triaged this task as Normal priority.Jun 26 2017, 9:07 AM

For simply reopening the wiki removing it from closed.dblist should be enough. After this change would be deployed, the wiki would be editable as before (just removing of the editnotice would be needed, this can be done by any steward).

I really think that real deleting of the wiki database from all db servers (and recreating, of course) would be a bit complicated and probably won't be done (at least according to https://wikitech.wikimedia.org/w/index.php?title=Delete_a_wiki). But I'm not sure, maybe somebody have better information than me.

Luke081515 added a subscriber: Luke081515.

Adding DBA to get an opinion from one of them.

I really think that real deleting of the wiki database from all db servers (and recreating, of course) would be a bit complicated and probably won't be done (at least according to https://wikitech.wikimedia.org/w/index.php?title=Delete_a_wiki). But I'm not sure, maybe somebody have better information than me.

Indeed - I would rather not to that if it can be avoided.
We normally do not like to touch databases directly, we prefer having mediawiki doing it for us to avoid inconsistencies or other related problems.

We did something similar for: T126832 and it wasn't easy. So if it can be avoided, it would be good.

In that case I think the requestor (or somebody else) should delete all pages and import new pages from incubator. I'll create a patch for reopening the wiki after it (or, if it should be reopened before deleting/importing, let me know). Is it okay for all?

I would prefer, if we do the reopen first, otherwise, if there is a lag between import and reopen, changes at incubator can get missed. We can add .* to the TBL after removed from closed lists to prevent new pages before import finished.

In that case I think the requestor (or somebody else) should delete all pages and import new pages from incubator. I'll create a patch for reopening the wiki after it (or, if it should be reopened before deleting/importing, let me know). Is it okay for all?

I will do the deletion then. The best would be to reopen the wiki between deleting and importing.
I'll report here once the deletion is finished.

We can add .* to the TBL after removed from closed lists to prevent new pages before import finished.

Experience says this is not an issue, users understand what's going on.

Urbanecm claimed this task.Jun 27 2017, 4:06 PM

In that case I think the requestor (or somebody else) should delete all pages and import new pages from incubator. I'll create a patch for reopening the wiki after it (or, if it should be reopened before deleting/importing, let me know). Is it okay for all?

I will do the deletion then. The best would be to reopen the wiki between deleting and importing.
I'll report here once the deletion is finished.

Okay, I'll create a patch and schedule it for deploying after your report. Claiming then.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 27 2017, 4:06 PM

Change 361686 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Reopen nlwikinews

https://gerrit.wikimedia.org/r/361686

Dcljr added a subscriber: Dcljr.Jun 30 2017, 4:26 AM

All pages have been deleted.

Great. I'll schedule the reopening for Wednesday.

Dereckson updated the task description. (Show Details)Jul 4 2017, 9:22 PM

Change 361686 merged by jenkins-bot:
[operations/mediawiki-config@master] Reopen nlwikinews

https://gerrit.wikimedia.org/r/361686

Mentioned in SAL (#wikimedia-operations) [2017-07-05T13:18:06Z] <zfilipin@tin> Synchronized dblists/closed.dblist: SWAT: [[gerrit:361686|Reopen nlwikinews (T168764)]] (duration: 02m 50s)

Mentioned in SAL (#wikimedia-operations) [2017-07-05T13:24:45Z] <zfilipin@tin> Synchronized dblists/closed.dblist: SWAT: [[gerrit:361686|Reopen nlwikinews (T168764)]] (duration: 02m 50s)

Urbanecm closed this task as Resolved.Jul 5 2017, 1:44 PM

Wiki is reopened and it can be edited by anyone as of now. As there is nothing we can do now at our side, I'm closing this as resolved. If anything is broken, reopen please.

Dcljr added a comment.Jul 5 2017, 8:22 PM

Wiki is reopened and it can be edited by anyone as of now.

Technically, yes, but the convention is to hold off on editing a wiki that is being imported until the "not yet finished" notice is removed at Incubator:Site creation log. (That should happen pretty soon.)

But that is irrelevant for the bug:

As there is nothing we can do now at our side

Koavf added a subscriber: Koavf.Jul 5 2017, 8:43 PM

For those watching this, the site is live.

Dcljr added a comment.Jul 5 2017, 8:44 PM

I know, but just in case some users interested in editing the wiki are following this task, they should know that editing should wait until importing is finished.

By the way, importing is now finished. :)

Koavf added a comment.Jul 5 2017, 8:50 PM

Yes, that is what I was trying to say--import seems to be done and there aren't redlinks everywhere anymore.

Dcljr added a comment.Jul 5 2017, 8:51 PM

Sigh… My previous comment was in response to MF-Warburg.

It is reported to me that the VisualEditor and the "2017 wikitext editor" don't work on the wiki.

Wiki is reopened and it can be edited by anyone as of now.

Technically, yes, but the convention is to hold off on editing a wiki that is being imported until the "not yet finished" notice is removed at Incubator:Site creation log. (That should happen pretty soon.)

I said it in the technical way, I have no knowledge about post-creation (or post-reopening which IMHO should be pretty same) process. Thank you for the link anyway (and for info it is done too)!

It is reported to me that the VisualEditor and the "2017 wikitext editor" don't work on the wiki.

Thank you for your report, I'll have a look at it.

It is reported to me that the VisualEditor and the "2017 wikitext editor" don't work on the wiki.

Hmm. This looks like https://wikitech.wikimedia.org/wiki/Add_a_wiki#Parsoid . I tried to run the script at my own computer but it seems it requires production enviroment. @Jdforrester-WMF, are you able to help here?

Jdforrester-WMF reopened this task as Open.Jul 27 2017, 8:17 PM

Eurgh.

Elitre added a subscriber: Elitre.Jul 28 2017, 12:13 PM

Removing the DBA tag as there is nothing for us to do here - I will remain subscribed to the task just in case :-)

Koavf removed a subscriber: Koavf.Aug 1 2017, 4:32 PM
Urbanecm closed this task as Resolved.Aug 3 2017, 2:28 PM

Everything is done.